## shmem_double_g

#### Purpose

Transfers one data item from a remote Processing Element (PE).

#### C syntax

    #include <shmem.h>

    double shmem_double_g(double *addr, int pe);

#### Parameters

INPUT
addr
  The remotely accessible data object which will receive the data on the remote PE.
pe
  Processing element number of the remote PE.

#### Description

This routine provides a very low latency remote read write capability for single elements of most basic types

The function shmem_double_g() transfers a double data item from a remote PE.

#### IBM NOTES

Please refer to Atomicity and Coherency section for atomicity and coherence model in the OpenSHMEM documentation

#### C examples

#### Related information

Subroutines: shmem_get, shmem_iget

OpenSHMEM API Index